//-----------------------------------------------------------------------------------------------
// Basic Post-processing Fragment (Pixel) shader, e.g. for use with FBO render-to-texture and other passes
//
#version 140


//-----------------------------------------------------------------------------------------------
uniform sampler2D u_diffuseTexture;
uniform float u_time;


//-----------------------------------------------------------------------------------------------
in vec4 v_surfaceColor;
in vec2 v_texCoords;


//-----------------------------------------------------------------------------------------------
out vec4 o_fragColor;


//-----------------------------------------------------------------------------------------------
void main()
{
	vec2 texCoords = v_texCoords;
	texCoords.x += 0.01 * sin( 2.0 * u_time + 20.0 * v_texCoords.y );
	vec4 diffuseTexel = texture( u_diffuseTexture, texCoords );
	o_fragColor = diffuseTexel * v_surfaceColor;
}

