//-----------------------------------------------------------------------------------------------
// Basic Post-processing Vertex shader, e.g. for use with FBO render-to-texture and other passes
//
#version 140


//-----------------------------------------------------------------------------------------------
uniform mat4 u_worldToClipTransform;
uniform mat4 u_objectToWorldTransform;


//-----------------------------------------------------------------------------------------------
in vec3 a_position;
in vec4 a_color;
in vec2 a_texCoords;


//-----------------------------------------------------------------------------------------------
out vec4 v_surfaceColor;
out vec2 v_texCoords;


//-----------------------------------------------------------------------------------------------
void main()
{
	v_surfaceColor = a_color;
	v_texCoords = a_texCoords;

	vec4 worldPosition = u_objectToWorldTransform * vec4( a_position, 1.0 );
	gl_Position = u_worldToClipTransform * worldPosition;
}

